Bug 342011 - multiarch conflicts in libesmtp
Summary: multiarch conflicts in libesmtp
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libesmtp   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Pawel Salek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-19 21:45 UTC by Bill Nottingham
Modified: 2014-03-17 03:10 UTC (History)
3 users (show)

Fixed In Version: libesmtp-1.0.4-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-06 18:13:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2007-10-19 21:45:17 UTC
libesmtp (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/bin/libesmtp-config from install of libesmtp-devel-1.0.4-2.fc6 conflicts with file from package libesmtp-devel-1.0.4-2.fc6

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.

Comment 1 Patrice Dumas 2007-11-12 23:58:08 UTC
This one is not an easy one, since there is no pkgconfig
support in libesmtp. I have contacted upstream about
pkgconfig.

Comment 2 Bug Zapper 2008-04-04 14:12:20 UTC
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 3 Pawel Salek 2008-04-04 22:03:40 UTC
I believe build 
http://koji.fedoraproject.org/koji/taskinfo?taskID=549435
fixes it.

Comment 4 Bug Zapper 2008-11-26 08:01:36 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Pawel Salek 2008-11-26 08:12:32 UTC
Marking the bug as fixed.

Comment 6 Patrice Dumas 2008-12-06 14:44:29 UTC
It is not fixed. Rsetting to rawhide.

Comment 7 Pawel Salek 2008-12-06 16:30:45 UTC
Can you please be more specific about the problem you still see? I have now libesmtp.i386 and libesmtp.x86_64 installed at the same time on my F10, and libesmtp has own pkg-config configuration file distributed.

Comment 8 Patrice Dumas 2008-12-06 18:13:40 UTC
Indeed, you are right,sorry.


Note You need to log in before you can comment on or make changes to this bug.